%define major 4
%define minor 2
%define patchlevel 6
%define mysuffix 42

%define x11_app_defaults_dir %{_datadir}/X11/app-defaults

Summary:       A program for plotting mathematical expressions and data
Name:          gnuplot%{mysuffix}
Version:       %{major}.%{minor}.%{patchlevel}
Release:       5%{?dist}
License:       gnuplot
Group:         Applications/Engineering
URL:           http://www.gnuplot.info/
Source:        http://downloads.sourceforge.net/gnuplot/gnuplot-%{version}.tar.gz
Patch1:        gnuplot-4.2.0-refers_to.patch
Patch10:       gnuplot-to-gnuplot%{mysuffix}.patch
BuildRequires: libpng-devel, zlib-devel
BuildRequires: libX11-devel
BuildRequires: tex(latex)
BuildRequires: libXt-devel
BuildRequires: latex2html
BuildRequires: texinfo, readline-devel, gd-devel
BuildRequires: automake, libtool, autoconf
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
Gnuplot is a command-line driven, interactive function plotting
program especially suited for scientific data representation.  Gnuplot
can be used to plot functions and data points in both two and three
dimensions and in many different formats.

Install gnuplot%{mysuffix} if you need a graphics package for scientific data
representation.



%package  doc
Group: Applications/Engineering
Summary: Documentation fo bindings for the gnuplot%{mysuffix} main application

%description doc
The gnuplot%{mysuffix}-doc package contains the documentation related to gnuplot%{mysuffix}
plotting tool

%package  latex
Group: Applications/Engineering
Summary: Configuration for LaTeX typesetting using gnuplot%{mysuffix}
Requires: tex(latex)
Requires: %{name} = %{version}-%{release}

%description latex
The gnuplot%{mysuffix}-latex package contains LaTeX configuration file related to 
gnuplot%{mysuffix} plotting tool.


%prep
%setup -q -n gnuplot-%{version}
%patch1 -p1 -b .refto
%patch10 -p1
sed -i -e 's:"/usr/lib/X11/app-defaults":"%{x11_app_defaults_dir}":' src/gplt_x11.c

iconv -f windows-1252 -t utf-8 ChangeLog > ChangeLog.aux && mv ChangeLog.aux ChangeLog
iconv -f iso8859-1 -t utf-8 demo/fontfile.dem > demo/fontfile.dem.iconv && mv demo/fontfile.dem.iconv demo/fontfile.dem
iconv -f iso8859-1 -t utf-8 demo/epslatex.dem > demo/epslatex.dem.iconv && mv demo/epslatex.dem.iconv demo/epslatex.dem
iconv -f iso8859-1 -t utf-8 demo/fontfile_latex.dem > demo/fontfile_latex.dem.iconv && mv demo/fontfile_latex.dem.iconv demo/fontfile_latex.dem
iconv -f iso8859-1 -t utf-8 demo/demo.edf > demo/demo.edf.iconv && mv demo/demo.edf.iconv demo/demo.edf
iconv -f iso8859-1 -t utf-8 docs/psdoc/ps_guide.ps > docs/psdoc/ps_guide.ps.iconv && mv docs/psdoc/ps_guide.ps.iconv docs/psdoc/ps_guide.ps

chmod 644 src/getcolor.h
chmod 644 demo/html/webify.pl

%build
# Apply patch we made to configure.in
aclocal
autoconf
autoheader
automake --add-missing --copy
libtoolize --copy --force 

%configure --with-readline=gnu --with-png --without-linux-vga \
 --enable-history-file --disable-wxwidgets --program-suffix=%{mysuffix} \
 --without-lisp-files
make %{?_smp_mflags}

cd docs
make html
cd psdoc
export GNUPLOT_PS_DIR=../../term/PostScript
make ps_symbols.ps ps_fontfile_doc.pdf
cd ../..
rm -rf docs/htmldocs/images.idx

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

mkdir -p $RPM_BUILD_ROOT%{x11_app_defaults_dir}
mv $RPM_BUILD_ROOT%{_libdir}/X11/app-defaults/Gnuplot $RPM_BUILD_ROOT%{x11_app_defaults_dir}/Gnuplot%{mysuffix}
rm -rf $RPM_BUILD_ROOT%{_libdir}/

# Some manual adjustments because of the nature of the suffix we are adding.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/gnuplot%{mysuffix}
mv $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/gnuplot/gnuplot.cfg  \
     $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/gnuplot%{mysuffix}/gnuplot%{mysuffix}.cfg 
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
mv $RPM_BUILD_ROOT%{_infodir}/gnuplot.info $RPM_BUILD_ROOT%{_infodir}/gnuplot%{mysuffix}.info

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_infodir}/gnuplot%{mysuffix}.info* ]; then
    /sbin/install-info %{_infodir}/gnuplot%{mysuffix}.info %{_infodir}/dir || :
fi

%preun 
if [ $1 = 0 ] ; then # last uninstall
    if [ -f %{_infodir}/gnuplot%{mysuffix}.info* ]; then
     /sbin/install-info --delete %{_infodir}/gnuplot%{mysuffix}.info %{_infodir}/dir || :
    fi
fi



%files doc
%defattr(-,root,root,-)
%doc ChangeLog Copyright
%doc docs/psdoc/ps_guide.ps docs/psdoc/ps_symbols.ps tutorial/tutorial.dvi demo docs/psdoc/ps_file.doc
%doc docs/psdoc/ps_fontfile_doc.pdf docs/htmldocs tutorial/eg7.eps

%files 
%defattr(-,root,root,-)
%doc BUGS ChangeLog Copyright FAQ NEWS README TODO
%{_bindir}/gnuplot%{mysuffix}
%{_mandir}/man1/gnuplot%{mysuffix}.1.gz
%dir %{_datadir}/gnuplot%{mysuffix}
%dir %{_datadir}/gnuplot%{mysuffix}/%{major}.%{minor}
%dir %{_datadir}/gnuplot%{mysuffix}/%{major}.%{minor}/PostScript
%{_datadir}/gnuplot%{mysuffix}/%{major}.%{minor}/PostScript/*.ps
%{_datadir}/gnuplot%{mysuffix}/%{major}.%{minor}/gnuplot.gih
%dir %{_libexecdir}/gnuplot%{mysuffix}
%dir %{_libexecdir}/gnuplot%{mysuffix}/%{major}.%{minor}
%{_libexecdir}/gnuplot%{mysuffix}/%{major}.%{minor}/gnuplot_x11%{mysuffix}
%{x11_app_defaults_dir}/Gnuplot%{mysuffix}
%{_infodir}/gnuplot%{mysuffix}.info.gz

%files latex
%defattr(-,root,root,-)
%dir %{_datadir}/texmf/tex/latex/gnuplot%{mysuffix}
%{_datadir}/texmf/tex/latex/gnuplot%{mysuffix}/gnuplot%{mysuffix}.cfg

%changelog
* Fri Mar 26 2010 Steve Traylen <steve.traylen@cern.ch> - 4.2.6-5
- Build with wxGtk for the purposes of releasing in SL, i.e with
  out EPEL.
- Remove SL4 support case.

* Fri Mar 5 2010 Steve Traylen <steve.traylen@cern.ch> - 4.2.6-4
- Now builds on EL4 as well, in particular posttrans have been 
  removed.

* Tue Mar 2 2010 Steve Traylen <steve.traylen@cern.ch> - 4.2.6-3
- Convert F13s spec file to be a backport as gnuplot42 on EPEL5.
- Remove all the emacs files since no sensible way to autoload
  these in conjuction with the existing RHEL packages and they are 
  the same files.

* Tue Mar  2 2010 Ivana Hutarova Varekova <varekova@redhat.com> 4.2.6-2
- fix license tag

* Tue Sep 15 2009 Ivana Varekova <varekova@redhat.com> 4.2.6-1
- update to 4.2.6

* Mon Aug 10 2009 Ivana Varekova <varekova@redhat.com> 4.2.5-6
- fix installation with --excludedocs option (#515963)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 15 2009 Ivana Varekova <varekova@redhat.com> - 4.2.5-4
- add gnuplot-latex subpackage
  patch by jnovy

* Fri May 29 2009 Ivana Varekova <varekova@redhat.com> - 4.2.5-2
- fix preun scripts

* Thu May 28 2009 Ivana Varekova <varekova@redhat.com> - 4.2.5-1
- update to 4.2.5

* Fri Mar 27 2009 Ivana Varekova <varekova@redhat.com> - 4.2.4-6
- split documentation

* Tue Mar 10 2009 Ivana Varekova <varekova@redhat.com> - 4.2.4-5
- fix #489069 (update of the package from nonsplit version
  causes the absence of gnuplot binary -
  fixed using posttrans instead of post)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 14 2009 Ivana Varekova <varekova@redhat.com> - 4.2.4-3
- fix sbin path

* Tue Jan 13 2009 Ivana Varekova <varekova@redhat.com> - 4.2.4-2
- add minimal package for server SIG purposes

* Fri Nov  7 2008 Ivana Varekova <varekova@redhat.com> - 4.2.4-1
- update to 4.2.4

* Fri May  9 2008 Ivana Varekova <varekova@redhat.com> - 4.2.3-1
- update to 4.2.3

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 4.2.2-10
- Autorebuild for GCC 4.3

* Tue Jan 29 2008 Ivana Varekova <varekova@redhat.com> - 4.2.2-9
- spec file cleanup

* Mon Jan 28 2008 Ivana Varekova <varekova@redhat.com> - 4.2.2-8
- fix 430335 - add wxGTK requires

* Mon Dec 10 2007 Ivana Varekova <varekova@redhat.com> - 4.2.2-7
- add wxGTK-devel dependency (#405411)

* Thu Nov 15 2007 Ivana Varekova <varekova@redhat.com> - 4.2.2-6
- add obsoletes tag

* Mon Nov 12 2007 Ivana Varekova <varekova@redhat.com> - 4.2.2-5
- fix 373941 - add provides tag

* Tue Nov  6 2007 Ivana Varekova <varekova@redhat.com> - 4.2.2-4
- fix webify.pl permissions
- add eg7.eps to documentation

* Thu Nov  1 2007 Ivana Varekova <varekova@redhat.com> - 4.2.2-3
- add emacs buildrequires
- add emacs-* macros
- remove useless iconv

* Thu Oct 25 2007 Ivana Varekova <varekova@redhat.com> - 4.2.2-2
- rename emacs subpackage, split intwo two parts
- add font directories
- clean spec file

* Thu Oct 25 2007 Ivana Varekova <varekova@redhat.com> - 4.2.2-1
- update to 4.2.2

* Wed Oct 17 2007 Ivana Varekova <varekova@redhat.com> - 4.2.0-7
- add URL tag

* Mon Sep 24 2007 Ivana Varekova <varekova@redhat.com> - 4.2.0-6
- spec file cleanup

* Fri Sep  7 2007 Ivana Varekova <varekova@redhat.com> - 4.2.0-5
- move emacs files to */site-lisp/gnuplot subdirectory

* Thu Sep  6 2007 Ivana Varekova <varekova@redhat.com> - 4.2.0-4
- change font paths, change documenatation

* Tue Aug 28 2007 Ivana Varekova <varekova@redhat.com> - 4.2.0-3
- Rebuild for selinux ppc32 issue.
- Remove obsolete file

* Tue Jul  3 2007 Ivana Varekova <varekova@redhat.com> - 4.2.0-2
- Resolves: #246316
  remove info-look.20.{2,3}.el

* Mon May 21 2007 Ivana Varekova <varekova@redhat.com> - 4.2.0-1
- Resolves: #231205
  update to 4.2.0
  spec changes from Tim Orling  

* Mon Mar 26 2007 Ivana Varekova <varekova@redhat.com> - 4.0.0-18
- add missing directories (#233838)

* Thu Mar 15 2007 Ivana Varekova <varekova@redhat.com> - 4.0.0-17
- incorporate the package review feedback

* Mon Jan 22 2007 Ivana Varekova <varekova@redhat.com> - 4.0.0-16
- Resolves: 223693  
  fix non-failsafe install-info problem

* Fri Dec 22 2006 Ivana Varekova <varekova@redhat.com> - 4.0.0-15
- Resolves: 173752
  gnuplot refers to /usr/X11R6/lib/fonts/Type1

* Tue Dec 21 2006 Ivana Varekova <varekova@redhat.com> - 4.0.0-14
- remove --without-gd options (#173922, #172565)
- spec file cleanup

* Fri Dec  1 2006 Ivana Varekova <varekova@redhat.com> - 4.0.0-13
- rebuild against libncurses

* Wed Jul 26 2006 Jesse Keating <jkeating@redhat.com> - 4.0.0-12
- rebuild

* Wed Mar 01 2006 Karsten Hopp <karsten@redhat.de> 4.0.0-11
- BuildRequires: libXt-devel

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 4.0.0-10.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 4.0.0-10.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 02 2005 Phil Knirsch <pknirsch@redhat.com> 4.0.0-10
- Switched BuildPreReqs and Requires to modular xorg-x11 style

* Fri Oct 21 2005 Phil Knirsch <pknirsch@redhat.com> 4.0.0-9
- Fixed 64bit problem with x11 display (#167508)
- Added missing file ownage of /usr/share/gnuplot (#169333)

* Fri Sep 02 2005 Phil Knirsch <pknirsch@redhat.com> 4.0.0-8
- Fixed missing Requires: emacs for the gnuplot-emacs package
- Added a gnuplot-init.el file for startup (#151122)

* Wed Mar 02 2005 Phil Knirsch <pknirsch@redhat.com> 4.0.0-7
- bump release and rebuild with gcc 4

* Wed Jan 12 2005 Tim Waugh <twaugh@redhat.com> 4.0.0-6
- Rebuilt for new readline.

* Thu Dec 23 2004 Phil Knirsch <pknirsch@redhat.com> 4.0.0-5
- Added BUGS ChangeLog Copyright FAQ NEWS README TODO to docs (#139070)

* Mon Oct 11 2004 Tim Waugh <twaugh@redhat.com> 4.0.0-4
- Build requires texinfo and readline-devel (bug #134922)

* Tue Sep 07 2004 Karsten Hopp <karsten@redhat.de> 4.0.0-3 
- fix typo in preun script

* Thu Sep  2 2004 Bill Nottingham <notting@redhat.com> 4.0.0-2
- %%defattr fixes (#131640)

* Thu Aug 12 2004 Phil Knirsch <pknirsch@redhat.com> 4.0.0-1
- Update to gnuplot-4.0.0
- Split off emacs files into new subpackage

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jul 02 2003 Bill Nottingham <notting@redhat.com> 3.7.3-4
- fix license (#98449)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Bill Nottingham <notting@redhat.com> 3.7.3-1
- update to 3.7.3
- don't bother patching it to do jpegs with gd instead of gifs,
  as we haven't been building it with gd support anyway

* Fri Nov 29 2002 Tim Powers <timp@redhat.com> 3.7.2-2
- remove unpackaged files from the buildroot

* Thu Jul 18 2002 Bill Nottingham <notting@redhat.com> 3.7.2-1
- update to 3.7.2

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Feb 21 2002 Bill Nottingham <notting@redhat.com>
- rebuild

* Wed Jan 23 2002 Bill Nottingham <notting@redhat.com> 3.7.1-16
- fix bug #43620 (<broeker@physik.rwth-aachen.de>)

* Tue Jan 22 2002 Bill Nottingham <notting@redhat.com> 3.7.1-15
- fix bug #21341 (<wtcorrea@cs.princeton.edu>)

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.7.1-13
- rebuild with new readline
- Fix up License: and URL: tags in specfile

* Tue Aug 22 2000 Bill Nottingham <notting@redhat.com>
- remove zlib-devel requirement (#16718)

* Wed Aug 02 2000 Trond Eivind Glomsrød <teg@redhat.com>
- rebuild with libpng 1.0.8

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 18 2000 Bill Nottingham <notting@redhat.com>
- fix  manpage paths

* Fri Jun  9 2000 Bill Nottingham <notting@redhat.com>
- rebuild in new environment

* Fri May 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild with new gd, changing gif terminal to jpeg terminal (release 7)

* Mon May 08 2000 Preston Brown <pbrown@redhat.com>
- build for 7.0

* Thu Apr  6 2000 Bill Nottingham <notting@redhat.com>
- use gnu readline, not built-in version

* Mon Apr  3 2000 Bill Nottingham <notting@redhat.com>
- add latex tutorial, demo files, other docs (#10508)

* Wed Mar  1 2000 Bill Nottingham <notting@redhat.com>
- update to 3.7.1. Oops.

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Thu Nov  4 1999 Bill Nottingham <notting@redhat.com>
- update to 3.7.1

* Mon Oct 11 1999 Bill Nottingham <notting@redhat.com>
- ship some docs.

* Wed Aug 18 1999 Bill Nottingham <notting@redhat.com>
- add a patch to fix postscript output from Bernd Kischnick
 (kisch@die-herrmanns.de)

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- fix license

* Thu Jul 15 1999 Bill Nottingham <notting@redhat.com>
- rebuild without svgalib

* Tue Jun 15 1999 Bill Nottingham <notting@redhat.com>
- update to 3.7.0.1

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.7.

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.6beta347

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
